/*
 * Copyright (c) 2015 Parallels IP Holdings GmbH
 *
 * This file is part of Virtuozzo Core Libraries. Virtuozzo Core
 * Libraries is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <http://www.gnu.org/licenses/> or write to Free Software Foundation,
 * 51 Franklin Street, Fifth Floor Boston, MA 02110, USA.
 *
 * Our contact details: Parallels IP Holdings GmbH, Vordergasse 59, 8200
 * Schaffhausen, Switzerland.
 */

#include <QString>

static QString g_text[] = {
	QString("domain"),
	QString("unsignedInt"),
	QString("unsignedLong"),
	QString("hexuint"),
	QString("positiveInteger"),
	QString("octalMode"),
	QString("uint8range"),
	QString("data7"),
	QString("uint8range8"),
	QString("data9"),
	QString("uint8range10"),
	QString("uint24range"),
	QString("data12"),
	QString("uint24range13"),
	QString("data14"),
	QString("uint24range15"),
	QString("UUID"),
	QString("data17"),
	QString("UUID18"),
	QString("data19"),
	QString("UUID20"),
	QString("pciaddress"),
	QString("pciDomain"),
	QString("bus"),
	QString("pciBus"),
	QString("slot"),
	QString("pciSlot"),
	QString("function"),
	QString("pciFunc"),
	QString("multifunction"),
	QString("virOnOff"),
	QString("uniMacAddr"),
	QString("multiMacAddr"),
	QString("macAddr"),
	QString("duidLLT"),
	QString("duidEN"),
	QString("duidLL"),
	QString("duidUUID"),
	QString("DUID"),
	QString("DUID39"),
	QString("DUID40"),
	QString("DUID41"),
	QString("DUID42"),
	QString("ipv4Addr"),
	QString("ipv6Addr"),
	QString("ipAddr"),
	QString("ipAddr46"),
	QString("ipAddr47"),
	QString("ipv4Prefix"),
	QString("ipv6Prefix"),
	QString("ipPrefix"),
	QString("ipPrefix51"),
	QString("ipPrefix52"),
	QString("genericName"),
	QString("dnsName"),
	QString("deviceName"),
	QString("filePath"),
	QString("dirPath"),
	QString("absFilePath"),
	QString("absDirPath"),
	QString("unit"),
	QString("scaledInteger"),
	QString("wwn"),
	QString("cpuset"),
	QString("volName"),
	QString("archnames"),
	QString("aarch64"),
	QString("alpha"),
	QString("armv7l"),
	QString("cris"),
	QString("i686"),
	QString("ia64"),
	QString("lm32"),
	QString("m68k"),
	QString("microblaze"),
	QString("microblazeel"),
	QString("mips"),
	QString("mipsel"),
	QString("mips64"),
	QString("mips64el"),
	QString("openrisc"),
	QString("parisc"),
	QString("parisc64"),
	QString("ppc"),
	QString("ppc64"),
	QString("ppcemb"),
	QString("s390"),
	QString("s390x"),
	QString("sh4"),
	QString("sh4eb"),
	QString("sparc"),
	QString("sparc64"),
	QString("unicore32"),
	QString("x86_64"),
	QString("xtensa"),
	QString("xtensaeb"),
	QString("PortNumber"),
	QString("sourceinfoadapter"),
	QString("adapter"),
	QString("type"),
	QString("scsi_host"),
	QString("name"),
	QString("variant102"),
	QString("parentaddr"),
	QString("unique_id"),
	QString("address"),
	QString("variant106"),
	QString("choice107"),
	QString("adapter108"),
	QString("fc_host"),
	QString("parent"),
	QString("wwnn"),
	QString("wwpn"),
	QString("adapter113"),
	QString("isaaddress"),
	QString("iobase"),
	QString("irq"),
	QString("link-speed-state"),
	QString("link"),
	QString("speed"),
	QString("state"),
	QString("unknown"),
	QString("notpresent"),
	QString("down"),
	QString("lowerlayerdown"),
	QString("testing"),
	QString("dormant"),
	QString("up"),
	QString("virYesNo"),
	QString("yes"),
	QString("no"),
	QString("on"),
	QString("off"),
	QString("encryption"),
	QString("format"),
	QString("default"),
	QString("qcow"),
	QString("secret"),
	QString("passphrase"),
	QString("uuid"),
	QString("compat"),
	QString("ownValue"),
	QString("fileFormatFeatures"),
	QString("features"),
	QString("lazy_refcounts"),
	QString("storageFormatBacking"),
	QString("cow"),
	QString("qcow2"),
	QString("qed"),
	QString("vmdk"),
	QString("storageFormat"),
	QString("raw"),
	QString("dir"),
	QString("bochs"),
	QString("cloop"),
	QString("dmg"),
	QString("iso"),
	QString("vpc"),
	QString("vdi"),
	QString("fat"),
	QString("vhd"),
	QString("storageFormat161"),
	QString("storageStartupPolicy"),
	QString("storageSourceExtra"),
	QString("virtualPortProfileID"),
	QString("virtualPortProfile"),
	QString("virtualport"),
	QString("802.1Qbg"),
	QString("parameters"),
	QString("managerid"),
	QString("typeid"),
	QString("typeidversion"),
	QString("instanceid"),
	QString("virtualPortProfile173"),
	QString("802.1Qbh"),
	QString("profileid"),
	QString("virtualPortProfile176"),
	QString("openvswitch"),
	QString("interfaceid"),
	QString("virtualPortProfile179"),
	QString("virtualPortProfile180"),
	QString("bandwidth"),
	QString("inbound"),
	QString("bandwidth-attributes"),
	QString("outbound"),
	QString("average"),
	QString("peak"),
	QString("floor"),
	QString("burst"),
	QString("BurstSize"),
	QString("unsignedShort"),
	QString("protocol"),
	QString("addr-family"),
	QString("vlan"),
	QString("trunk"),
	QString("tag"),
	QString("id"),
	QString("nativeMode"),
	QString("tagged"),
	QString("untagged"),
	QString("port"),
	QString("description"),
	QString("title"),
	QString("hvs"),
	QString("ids"),
	QString("cpu"),
	QString("sysinfo"),
	QString("os"),
	QString("clock"),
	QString("resources"),
	QString("events"),
	QString("pm"),
	QString("idmap"),
	QString("devices"),
	QString("seclabel"),
	QString("qemucmdline"),
	QString("model"),
	QString("dynamic"),
	QString("relabel"),
	QString("label"),
	QString("imagelabel"),
	QString("baselabel"),
	QString("seclabel222"),
	QString("static"),
	QString("seclabel224"),
	QString("none"),
	QString("seclabel226"),
	QString("devSeclabel"),
	QString("seclabel228"),
	QString("labelskip"),
	QString("seclabel230"),
	QString("seclabel231"),
	QString("qemu"),
	QString("kqemu"),
	QString("kvm"),
	QString("xen"),
	QString("lxc"),
	QString("uml"),
	QString("openvz"),
	QString("test"),
	QString("vmware"),
	QString("hyperv"),
	QString("vbox"),
	QString("phyp"),
	QString("parallels"),
	QString("bhyve"),
	QString("osxen"),
	QString("os247"),
	QString("oshvm"),
	QString("os249"),
	QString("osexe"),
	QString("os251"),
	QString("bootloader"),
	QString("ostypexen"),
	QString("osbootkernel"),
	QString("osxen255"),
	QString("osxen256"),
	QString("ostypehvm"),
	QString("loader"),
	QString("readonly"),
	QString("rom"),
	QString("pflash"),
	QString("nvram"),
	QString("template"),
	QString("osbootdev"),
	QString("bootmenu"),
	QString("enable"),
	QString("timeout"),
	QString("smbios"),
	QString("bios"),
	QString("arch"),
	QString("machine"),
	QString("xenpv"),
	QString("xenner"),
	QString("linux"),
	QString("hvmx86"),
	QString("variant276"),
	QString("hvmmips"),
	QString("variant278"),
	QString("hvmsparc"),
	QString("variant280"),
	QString("hvmppc"),
	QString("variant282"),
	QString("hvmppc64"),
	QString("variant284"),
	QString("hvms390"),
	QString("variant286"),
	QString("hvmarm"),
	QString("variant288"),
	QString("hvmaarch64"),
	QString("variant290"),
	QString("choice291"),
	QString("hvm"),
	QString("sun4m"),
	QString("g3beige"),
	QString("mac99"),
	QString("prep"),
	QString("ppce500"),
	QString("pseries"),
	QString("s390-virtio"),
	QString("s390-ccw"),
	QString("s390-ccw-virtio"),
	QString("exe"),
	QString("init"),
	QString("initarg"),
	QString("domainName"),
	QString("uid"),
	QString("start"),
	QString("target"),
	QString("count"),
	QString("gid"),
	QString("memory"),
	QString("dumpCore"),
	QString("maxMemory"),
	QString("slots"),
	QString("currentMemory"),
	QString("memoryBacking"),
	QString("hugepages"),
	QString("page"),
	QString("size"),
	QString("nodeset"),
	QString("nosharepages"),
	QString("locked"),
	QString("vcpu"),
	QString("placement"),
	QString("auto"),
	QString("current"),
	QString("countCPU"),
	QString("iothreads"),
	QString("blkiotune"),
	QString("memtune"),
	QString("cputune"),
	QString("numatune"),
	QString("respartition"),
	QString("weight"),
	QString("device"),
	QString("path"),
	QString("read_iops_sec"),
	QString("write_iops_sec"),
	QString("read_bytes_sec"),
	QString("write_bytes_sec"),
	QString("hard_limit"),
	QString("soft_limit"),
	QString("min_guarantee"),
	QString("swap_hard_limit"),
	QString("shares"),
	QString("cpushares"),
	QString("global_period"),
	QString("cpuperiod"),
	QString("global_quota"),
	QString("cpuquota"),
	QString("period"),
	QString("quota"),
	QString("emulator_period"),
	QString("emulator_quota"),
	QString("vcpupin"),
	QString("vcpuid"),
	QString("emulatorpin"),
	QString("iothreadpin"),
	QString("iothread"),
	QString("mode"),
	QString("strict"),
	QString("preferred"),
	QString("interleave"),
	QString("memory364"),
	QString("memory365"),
	QString("memnode"),
	QString("cellid"),
	QString("resource"),
	QString("partition"),
	QString("offset"),
	QString("localtime"),
	QString("utc"),
	QString("adjustment"),
	QString("timeDelta"),
	QString("adjustment375"),
	QString("reset"),
	QString("clock377"),
	QString("timezone"),
	QString("timeZone"),
	QString("clock380"),
	QString("variable"),
	QString("basis"),
	QString("clock383"),
	QString("timer"),
	QString("platform"),
	QString("rtc"),
	QString("track"),
	QString("boot"),
	QString("guest"),
	QString("wall"),
	QString("tickpolicy"),
	QString("timer392"),
	QString("tsc"),
	QString("frequency"),
	QString("native"),
	QString("emulate"),
	QString("paravirt"),
	QString("smpsafe"),
	QString("timer399"),
	QString("hpet"),
	QString("pit"),
	QString("timer402"),
	QString("kvmclock"),
	QString("hypervclock"),
	QString("timer405"),
	QString("present"),
	QString("delay"),
	QString("merge"),
	QString("discard"),
	QString("tickpolicy410"),
	QString("catchup"),
	QString("threshold"),
	QString("slew"),
	QString("limit"),
	QString("tickpolicy415"),
	QString("bootloader416"),
	QString("bootloader_args"),
	QString("kernel"),
	QString("initrd"),
	QString("root"),
	QString("cmdline"),
	QString("dtb"),
	QString("dev"),
	QString("hd"),
	QString("fd"),
	QString("cdrom"),
	QString("network"),
	QString("diskspec"),
	QString("diskDriver"),
	QString("diskMirror"),
	QString("diskAuth"),
	QString("deviceBoot"),
	QString("shareable"),
	QString("transient"),
	QString("serial"),
	QString("diskSerial"),
	QString("diskIoTune"),
	QString("alias"),
	QString("geometry"),
	QString("diskBlockIo"),
	QString("vendor"),
	QString("product"),
	QString("snapshot"),
	QString("internal"),
	QString("external"),
	QString("lease"),
	QString("lockspace"),
	QString("key"),
	QString("startupPolicy"),
	QString("mandatory"),
	QString("requisite"),
	QString("optional"),
	QString("disk"),
	QString("floppy"),
	QString("disk455"),
	QString("lun"),
	QString("rawIO"),
	QString("sgio"),
	QString("filtered"),
	QString("unfiltered"),
	QString("disk461"),
	QString("diskSource"),
	QString("diskBackingChain"),
	QString("diskBackingStore"),
	QString("diskBackingChain465"),
	QString("diskBackingStoreLast"),
	QString("diskBackingChain467"),
	QString("backingStore"),
	QString("index"),
	QString("diskFormat"),
	QString("diskSourceBlock"),
	QString("diskSource472"),
	QString("diskSourceDir"),
	QString("diskSource474"),
	QString("diskSourceNetwork"),
	QString("diskSource476"),
	QString("diskSourceVolume"),
	QString("diskSource478"),
	QString("diskSourceFile"),
	QString("diskSource480"),
	QString("file"),
	QString("source"),
	QString("block"),
	QString("nbd"),
	QString("rbd"),
	QString("sheepdog"),
	QString("gluster"),
	QString("iscsi"),
	QString("http"),
	QString("https"),
	QString("ftp"),
	QString("ftps"),
	QString("tftp"),
	QString("host"),
	QString("transport"),
	QString("tcp"),
	QString("rdma"),
	QString("name498"),
	QString("name499"),
	QString("host500"),
	QString("unix"),
	QString("socket"),
	QString("host503"),
	QString("volume"),
	QString("pool"),
	QString("direct"),
	QString("diskTarget"),
	QString("ide"),
	QString("fdc"),
	QString("scsi"),
	QString("virtio"),
	QString("usb"),
	QString("sata"),
	QString("sd"),
	QString("tray"),
	QString("open"),
	QString("closed"),
	QString("removable"),
	QString("cyls"),
	QString("heads"),
	QString("secs"),
	QString("trans"),
	QString("lba"),
	QString("blockio"),
	QString("logical_block_size"),
	QString("physical_block_size"),
	QString("driver"),
	QString("driverFormat"),
	QString("driverCache"),
	QString("driverErrorPolicy"),
	QString("driverRerrorPolicy"),
	QString("driverIO"),
	QString("ioeventfd"),
	QString("event_idx"),
	QString("copy_on_read"),
	QString("driverIOThread"),
	QString("type537"),
	QString("aio"),
	QString("cache"),
	QString("writeback"),
	QString("writethrough"),
	QString("directsync"),
	QString("unsafe"),
	QString("error_policy"),
	QString("stop"),
	QString("report"),
	QString("ignore"),
	QString("enospace"),
	QString("rerror_policy"),
	QString("io"),
	QString("threads"),
	QString("unmap"),
	QString("controller"),
	QString("ccid"),
	QString("variant555"),
	QString("buslogic"),
	QString("lsilogic"),
	QString("lsisas1068"),
	QString("vmpvscsi"),
	QString("ibmvscsi"),
	QString("virtio-scsi"),
	QString("lsisas1078"),
	QString("variant563"),
	QString("piix3-uhci"),
	QString("piix4-uhci"),
	QString("ehci"),
	QString("ich9-ehci1"),
	QString("ich9-uhci1"),
	QString("ich9-uhci2"),
	QString("ich9-uhci3"),
	QString("vt82c686b-uhci"),
	QString("pci-ohci"),
	QString("nec-xhci"),
	QString("usbmaster"),
	QString("variant575"),
	QString("pci"),
	QString("pci-root"),
	QString("pcie-root"),
	QString("pcihole64"),
	QString("variant580"),
	QString("pci-bridge"),
	QString("dmi-to-pci-bridge"),
	QString("variant583"),
	QString("choice584"),
	QString("variant585"),
	QString("virtio-serial"),
	QString("ports"),
	QString("vectors"),
	QString("variant589"),
	QString("choice590"),
	QString("queues"),
	QString("cmd_per_lun"),
	QString("max_sectors"),
	QString("filesystem"),
	QString("fsDriver"),
	QString("filesystem596"),
	QString("filesystem597"),
	QString("mount"),
	QString("filesystem599"),
	QString("bind"),
	QString("filesystem601"),
	QString("filesystem602"),
	QString("ram"),
	QString("usage"),
	QString("units"),
	QString("filesystem606"),
	QString("accessmode"),
	QString("passthrough"),
	QString("mapped"),
	QString("squash"),
	QString("space_hard_limit"),
	QString("space_soft_limit"),
	QString("handle"),
	QString("loop"),
	QString("wrpolicy"),
	QString("immediate"),
	QString("interface"),
	QString("bridge"),
	QString("interface-options"),
	QString("interface620"),
	QString("ethernet"),
	QString("interface622"),
	QString("vhostuser"),
	QString("server"),
	QString("client"),
	QString("interface626"),
	QString("portgroup"),
	QString("interface628"),
	QString("bridgeMode"),
	QString("interface630"),
	QString("user"),
	QString("interface632"),
	QString("interface633"),
	QString("mcast"),
	QString("mac"),
	QString("interface636"),
	QString("interface637"),
	QString("hostdev"),
	QString("managed"),
	QString("missing"),
	QString("usbproduct"),
	QString("usbaddress"),
	QString("source643"),
	QString("address644"),
	QString("usbAddr"),
	QString("usbPort"),
	QString("address647"),
	QString("source648"),
	QString("interface649"),
	QString("actual"),
	QString("ip"),
	QString("family"),
	QString("prefix"),
	QString("script"),
	QString("backend"),
	QString("tap"),
	QString("vhost"),
	QString("vfio"),
	QString("driver659"),
	QString("txmode"),
	QString("driver661"),
	QString("csum"),
	QString("gso"),
	QString("tso4"),
	QString("tso6"),
	QString("ecn"),
	QString("ufo"),
	QString("filterref"),
	QString("filterref-node-attributes"),
	QString("tune"),
	QString("sndbuf"),
	QString("emulator"),
	QString("graphic"),
	QString("graphics"),
	QString("sdl"),
	QString("display"),
	QString("xauth"),
	QString("fullscreen"),
	QString("graphics679"),
	QString("vnc"),
	QString("autoport"),
	QString("websocket"),
	QString("listen"),
	QString("addrIPorName"),
	QString("sharePolicy"),
	QString("allow-exclusive"),
	QString("force-shared"),
	QString("variant688"),
	QString("variant689"),
	QString("choice690"),
	QString("passwd"),
	QString("keymap"),
	QString("passwdValidTo"),
	QString("connected"),
	QString("keep"),
	QString("listenElements"),
	QString("graphics697"),
	QString("spice"),
	QString("tlsPort"),
	QString("fail"),
	QString("disconnect"),
	QString("defaultMode"),
	QString("any"),
	QString("secure"),
	QString("insecure"),
	QString("channel"),
	QString("main"),
	QString("inputs"),
	QString("cursor"),
	QString("playback"),
	QString("record"),
	QString("smartcard"),
	QString("usbredir"),
	QString("image"),
	QString("compression"),
	QString("auto_glz"),
	QString("auto_lz"),
	QString("quic"),
	QString("glz"),
	QString("lz"),
	QString("jpeg"),
	QString("never"),
	QString("always"),
	QString("zlib"),
	QString("streaming"),
	QString("filter"),
	QString("all"),
	QString("clipboard"),
	QString("copypaste"),
	QString("mouse"),
	QString("filetransfer"),
	QString("graphics732"),
	QString("rdp"),
	QString("replaceUser"),
	QString("multiUser"),
	QString("graphics736"),
	QString("desktop"),
	QString("graphics738"),
	QString("listen739"),
	QString("listen740"),
	QString("video"),
	QString("vga"),
	QString("cirrus"),
	QString("vmvga"),
	QString("model745"),
	QString("qxl"),
	QString("model747"),
	QString("vram"),
	QString("primary"),
	QString("acceleration"),
	QString("accel3d"),
	QString("accel2d"),
	QString("on_reboot"),
	QString("offOptions"),
	QString("on_poweroff"),
	QString("on_crash"),
	QString("crashOptions"),
	QString("on_lockfailure"),
	QString("lockfailureOptions"),
	QString("destroy"),
	QString("restart"),
	QString("preserve"),
	QString("rename-restart"),
	QString("coredump-destroy"),
	QString("coredump-restart"),
	QString("poweroff"),
	QString("pause"),
	QString("suspend-to-mem"),
	QString("suspendChoices"),
	QString("suspend-to-disk"),
	QString("enabled"),
	QString("qemucdev"),
	QString("qemucdevSrcType"),
	QString("tty"),
	QString("qemucdevSrcDef"),
	QString("qemucdevTgtDef"),
	QString("qemucdevConsoleTgtType"),
	QString("sclp"),
	QString("sclplm"),
	QString("qemucdevSerialTgtType"),
	QString("isa-serial"),
	QString("usb-serial"),
	QString("variant783"),
	QString("variant784"),
	QString("choice785"),
	QString("qemucdevSrcTypeChoice"),
	QString("pipe"),
	QString("udp"),
	QString("null"),
	QString("stdio"),
	QString("vc"),
	QString("pty"),
	QString("spicevmc"),
	QString("spiceport"),
	QString("nmdm"),
	QString("usbdevfilter"),
	QString("usbdev"),
	QString("allow"),
	QString("class"),
	QString("usbClass"),
	QString("class801"),
	QString("usbIdDefault"),
	QString("class803"),
	QString("usbId"),
	QString("vendor805"),
	QString("vendor806"),
	QString("product807"),
	QString("product808"),
	QString("version"),
	QString("usbVersion"),
	QString("version811"),
	QString("version812"),
	QString("service"),
	QString("wiremode"),
	QString("master"),
	QString("slave"),
	QString("append"),
	QString("telnet"),
	QString("telnets"),
	QString("tls"),
	QString("console"),
	QString("console822"),
	QString("variant823"),
	QString("console824"),
	QString("codec"),
	QString("duplex"),
	QString("micro"),
	QString("sound"),
	QString("sb16"),
	QString("es1370"),
	QString("pcspk"),
	QString("ac97"),
	QString("ich6"),
	QString("ich9"),
	QString("variant835"),
	QString("watchdog"),
	QString("i6300esb"),
	QString("ib700"),
	QString("action"),
	QString("shutdown"),
	QString("dump"),
	QString("memballoon"),
	QString("autodeflate"),
	QString("stats"),
	QString("parallel"),
	QString("guestfwdTarget"),
	QString("guestfwd"),
	QString("virtioTarget"),
	QString("variant849"),
	QString("variant850"),
	QString("choice851"),
	QString("smartcard852"),
	QString("host-certificates"),
	QString("certificate"),
	QString("database"),
	QString("smartcard856"),
	QString("smartcard857"),
	QString("tpm"),
	QString("tpm-tis"),
	QString("tpm-backend"),
	QString("tpm-passthrough-device"),
	QString("backend862"),
	QString("input"),
	QString("tablet"),
	QString("keyboard"),
	QString("ps2"),
	QString("hub"),
	QString("redirdev"),
	QString("redirfilter"),
	QString("hostdevsubsys"),
	QString("variant871"),
	QString("hostdevcaps"),
	QString("variant873"),
	QString("choice874"),
	QString("subsystem"),
	QString("hostdevsubsyspci"),
	QString("hostdevsubsys877"),
	QString("hostdevsubsysusb"),
	QString("hostdevsubsys879"),
	QString("hostdevsubsysscsi"),
	QString("hostdevsubsys881"),
	QString("capabilities"),
	QString("hostdevcapsstorage"),
	QString("hostdevcaps884"),
	QString("hostdevcapsmisc"),
	QString("hostdevcaps886"),
	QString("hostdevcapsnet"),
	QString("hostdevcaps888"),
	QString("source889"),
	QString("source890"),
	QString("scsiaddress"),
	QString("source892"),
	QString("source893"),
	QString("storage"),
	QString("misc"),
	QString("char"),
	QString("net"),
	QString("driveBus"),
	QString("driveTarget"),
	QString("driveUnit"),
	QString("usbportaddress"),
	QString("spaprvioaddress"),
	QString("reg"),
	QString("spaprvioReg"),
	QString("ccwaddress"),
	QString("cssid"),
	QString("ccwCssidRange"),
	QString("ssid"),
	QString("ccwSsidRange"),
	QString("devno"),
	QString("ccwDevnoRange"),
	QString("driveaddress"),
	QString("driveController"),
	QString("virtioserialaddress"),
	QString("ccidaddress"),
	QString("dimmaddress"),
	QString("base"),
	QString("variant918"),
	QString("variant919"),
	QString("variant920"),
	QString("variant921"),
	QString("variant922"),
	QString("variant923"),
	QString("variant924"),
	QString("variant925"),
	QString("variant926"),
	QString("variant927"),
	QString("variant928"),
	QString("variant929"),
	QString("variant930"),
	QString("variant931"),
	QString("variant932"),
	QString("variant933"),
	QString("variant934"),
	QString("variant935"),
	QString("rng"),
	QString("variant937"),
	QString("variant938"),
	QString("memorydev"),
	QString("variant940"),
	QString("choice941"),
	QString("panic"),
	QString("pae"),
	QString("apic"),
	QString("eoi"),
	QString("acpi"),
	QString("hap"),
	QString("viridian"),
	QString("privnet"),
	QString("pvspinlock"),
	QString("featurestate"),
	QString("pmu"),
	QString("vmport"),
	QString("gic"),
	QString("cpuMode"),
	QString("cpuMatch"),
	QString("cpuModel"),
	QString("cpuVendor"),
	QString("cpuTopology"),
	QString("cpuFeature"),
	QString("cpuNuma"),
	QString("custom"),
	QString("host-model"),
	QString("host-passthrough"),
	QString("match"),
	QString("minimum"),
	QString("exact"),
	QString("fallback"),
	QString("forbid"),
	QString("vendor_id"),
	QString("model971"),
	QString("feature"),
	QString("policy"),
	QString("force"),
	QString("require"),
	QString("disable"),
	QString("featureName"),
	QString("topology"),
	QString("sockets"),
	QString("cores"),
	QString("numa"),
	QString("numaCell"),
	QString("cell"),
	QString("cpus"),
	QString("memoryKB"),
	QString("memAccess"),
	QString("shared"),
	QString("private"),
	QString("entry"),
	QString("sysinfo-bios-name"),
	QString("sysinfo-value"),
	QString("system"),
	QString("sysinfo-system-name"),
	QString("date"),
	QString("release"),
	QString("manufacturer"),
	QString("sku"),
	QString("useserial"),
	QString("rebootTimeout"),
	QString("rebootTimeoutDelay"),
	QString("address1001"),
	QString("drive"),
	QString("address1003"),
	QString("address1004"),
	QString("address1005"),
	QString("address1006"),
	QString("spapr-vio"),
	QString("address1008"),
	QString("ccw"),
	QString("address1010"),
	QString("isa"),
	QString("address1012"),
	QString("dimm"),
	QString("address1014"),
	QString("bar"),
	QString("memorydev-source"),
	QString("memorydev-target"),
	QString("pagesize"),
	QString("nodemask"),
	QString("node"),
	QString("rng-backend"),
	QString("rng-rate"),
	QString("random"),
	QString("/dev/random"),
	QString("/dev/hwrng"),
	QString("choice1026"),
	QString("backend1027"),
	QString("egd"),
	QString("backend1029"),
	QString("rate"),
	QString("bytes"),
	QString("startport"),
	QString("parameter"),
	QString("filter-param-name"),
	QString("value"),
	QString("filter-param-value"),
	QString("order"),
	QString("mirror"),
	QString("job"),
	QString("copy"),
	QString("mirror1041"),
	QString("active-commit"),
	QString("mirror1043"),
	QString("ready"),
	QString("abort"),
	QString("pivot"),
	QString("auth"),
	QString("username"),
	QString("diskAuthSecret"),
	QString("ceph"),
	QString("secret1051"),
	QString("secret1052"),
	QString("iotune"),
	QString("total_bytes_sec"),
	QString("variant1055"),
	QString("variant1056"),
	QString("choice1057"),
	QString("total_iops_sec"),
	QString("variant1059"),
	QString("variant1060"),
	QString("choice1061"),
	QString("relaxed"),
	QString("vapic"),
	QString("spinlocks"),
	QString("retries"),
	QString("vpindex"),
	QString("runtime"),
	QString("synic"),
	QString("stimer"),
	QString("hidden"),
	QString("capabilitiespolicy"),
	QString("audit_control"),
	QString("audit_write"),
	QString("block_suspend"),
	QString("chown"),
	QString("dac_override"),
	QString("dac_read_search"),
	QString("fowner"),
	QString("fsetid"),
	QString("ipc_lock"),
	QString("ipc_owner"),
	QString("kill"),
	QString("linux_immutable"),
	QString("mac_admin"),
	QString("mac_override"),
	QString("mknod"),
	QString("net_admin"),
	QString("net_bind_service"),
	QString("net_broadcast"),
	QString("net_raw"),
	QString("setgid"),
	QString("setfcap"),
	QString("setpcap"),
	QString("setuid"),
	QString("sys_admin"),
	QString("sys_boot"),
	QString("sys_chroot"),
	QString("sys_module"),
	QString("sys_nice"),
	QString("sys_pacct"),
	QString("sys_ptrace"),
	QString("sys_rawio"),
	QString("sys_resource"),
	QString("sys_time"),
	QString("sys_tty_config"),
	QString("syslog"),
	QString("wake_alarm"),
	QString("deny"),
	QString("commandline"),
	QString("arg"),
	QString("env"),
	QString("http://libvirt.org/schemas/domain/qemu/1.0"),
	QString("metadata"),
	QString("customElement"),
	QString("variant1115"),
	QString("variant1116"),
	QString("variant1117"),
	QString("choice1118"),
	QString("aliasName"),
	QString("data1120"),
	QString("ccwCssidRange1121"),
	QString("data1122"),
	QString("ccwCssidRange1123"),
	QString("data1124"),
	QString("ccwCssidRange1125"),
	QString("data1126"),
	QString("ccwDevnoRange1127"),
	QString("data1128"),
	QString("ccwDevnoRange1129"),
	QString("rawio"),
	QString("memory1131"),
	QString("anonymous1132"),
	QString("anonymous1133"),
	QString("data1134"),
	QString("uint8range1135"),
	QString("data1136"),
	QString("uint8range1137"),
	QString("data1138"),
	QString("uint24range1139"),
	QString("data1140"),
	QString("uint24range1141"),
	QString("data1142"),
	QString("UUID1143"),
	QString("data1144"),
	QString("UUID1145"),
	QString("DUID1146"),
	QString("DUID1147"),
	QString("DUID1148"),
	QString("DUID1149"),
	QString("ipAddr1150"),
	QString("ipAddr1151"),
	QString("ipPrefix1152"),
	QString("ipPrefix1153"),
	QString("variant1154"),
	QString("variant1155"),
	QString("choice1156"),
	QString("adapter1157"),
	QString("adapter1158"),
	QString("virtualPortProfile1159"),
	QString("virtualPortProfile1160"),
	QString("virtualPortProfile1161"),
	QString("virtualPortProfile1162"),
	QString("connections"),
	QString("ipv6"),
	QString("stp"),
	QString("forward"),
	QString("nat"),
	QString("route"),
	QString("vepa"),
	QString("variant1170"),
	QString("variant1171"),
	QString("choice1172"),
	QString("pf"),
	QString("end"),
	QString("dns"),
	QString("forwardPlainNames"),
	QString("forwarder"),
	QString("addr"),
	QString("txt"),
	QString("srv"),
	QString("priority"),
	QString("hostname"),
	QString("netmask"),
	QString("variant1184"),
	QString("variant1185"),
	QString("choice1186"),
	QString("dhcp"),
	QString("range"),
	QString("variant1189"),
	QString("variant1190"),
	QString("choice1191"),
	QString("host1192"),
	QString("host1193"),
	QString("bootp"),
	QString("variant1195"),
	QString("variant1196"),
	QString("choice1197"),
	QString("gateway"),
	QString("metric"),
	QString("anonymous1200"),
	QString("ethernet-interface"),
	QString("variant1202"),
	QString("bridge-interface"),
	QString("variant1204"),
	QString("bond-interface"),
	QString("variant1206"),
	QString("vlan-interface"),
	QString("variant1208"),
	QString("choice1209"),
	QString("data1210"),
	QString("uint8range1211"),
	QString("data1212"),
	QString("uint8range1213"),
	QString("data1214"),
	QString("uint24range1215"),
	QString("data1216"),
	QString("uint24range1217"),
	QString("data1218"),
	QString("UUID1219"),
	QString("data1220"),
	QString("UUID1221"),
	QString("DUID1222"),
	QString("DUID1223"),
	QString("DUID1224"),
	QString("DUID1225"),
	QString("ipAddr1226"),
	QString("ipAddr1227"),
	QString("ipPrefix1228"),
	QString("ipPrefix1229"),
	QString("variant1230"),
	QString("variant1231"),
	QString("choice1232"),
	QString("adapter1233"),
	QString("adapter1234"),
	QString("basic-ethernet-content"),
	QString("name-attr"),
	QString("bare-ethernet-interface"),
	QString("startmode"),
	QString("mtu"),
	QString("interface-addressing"),
	QString("vlan-interface-common"),
	QString("vlan-device"),
	QString("vlan-id"),
	QString("bare-vlan-interface"),
	QString("timeval"),
	QString("variant1246"),
	QString("variant1247"),
	QString("bare-bond-interface"),
	QString("variant1249"),
	QString("choice1250"),
	QString("bond-interface-common"),
	QString("bond"),
	QString("bond-element"),
	QString("balance-rr"),
	QString("active-backup"),
	QString("balance-xor"),
	QString("broadcast"),
	QString("802.3ad"),
	QString("balance-tlb"),
	QString("balance-alb"),
	QString("miimon"),
	QString("freq"),
	QString("downdelay"),
	QString("updelay"),
	QString("carrier"),
	QString("ioctl"),
	QString("netif"),
	QString("variant1268"),
	QString("arpmon"),
	QString("interval"),
	QString("validate"),
	QString("active"),
	QString("backup"),
	QString("variant1274"),
	QString("choice1275"),
	QString("onboot"),
	QString("hotplug"),
	QString("protocol-ipv4"),
	QString("protocol-ipv6"),
	QString("interface-addressing1280"),
	QString("interface-addressing1281"),
	QString("ipv4"),
	QString("dhcp-element"),
	QString("variant1284"),
	QString("variant1285"),
	QString("choice1286"),
	QString("autoconf"),
	QString("peerdns"),
	QString("domainsnapshot"),
	QString("data1290"),
	QString("uint8range1291"),
	QString("data1292"),
	QString("uint8range1293"),
	QString("data1294"),
	QString("uint24range1295"),
	QString("data1296"),
	QString("uint24range1297"),
	QString("data1298"),
	QString("UUID1299"),
	QString("data1300"),
	QString("UUID1301"),
	QString("DUID1302"),
	QString("DUID1303"),
	QString("DUID1304"),
	QString("DUID1305"),
	QString("ipAddr1306"),
	QString("ipAddr1307"),
	QString("ipPrefix1308"),
	QString("ipPrefix1309"),
	QString("variant1310"),
	QString("variant1311"),
	QString("choice1312"),
	QString("adapter1313"),
	QString("adapter1314"),
	QString("storageFormat1315"),
	QString("virtualPortProfile1316"),
	QString("virtualPortProfile1317"),
	QString("virtualPortProfile1318"),
	QString("virtualPortProfile1319"),
	QString("seclabel1320"),
	QString("seclabel1321"),
	QString("seclabel1322"),
	QString("seclabel1323"),
	QString("seclabel1324"),
	QString("seclabel1325"),
	QString("os1326"),
	QString("os1327"),
	QString("os1328"),
	QString("osxen1329"),
	QString("osxen1330"),
	QString("variant1331"),
	QString("variant1332"),
	QString("variant1333"),
	QString("variant1334"),
	QString("variant1335"),
	QString("variant1336"),
	QString("variant1337"),
	QString("variant1338"),
	QString("choice1339"),
	QString("memory1340"),
	QString("memory1341"),
	QString("adjustment1342"),
	QString("clock1343"),
	QString("clock1344"),
	QString("clock1345"),
	QString("timer1346"),
	QString("timer1347"),
	QString("timer1348"),
	QString("timer1349"),
	QString("tickpolicy1350"),
	QString("tickpolicy1351"),
	QString("bootloader1352"),
	QString("disk1353"),
	QString("disk1354"),
	QString("diskBackingChain1355"),
	QString("diskBackingChain1356"),
	QString("diskSource1357"),
	QString("diskSource1358"),
	QString("diskSource1359"),
	QString("diskSource1360"),
	QString("diskSource1361"),
	QString("name1362"),
	QString("name1363"),
	QString("host1364"),
	QString("host1365"),
	QString("type1366"),
	QString("variant1367"),
	QString("variant1368"),
	QString("variant1369"),
	QString("variant1370"),
	QString("variant1371"),
	QString("choice1372"),
	QString("variant1373"),
	QString("variant1374"),
	QString("choice1375"),
	QString("filesystem1376"),
	QString("filesystem1377"),
	QString("filesystem1378"),
	QString("filesystem1379"),
	QString("filesystem1380"),
	QString("filesystem1381"),
	QString("interface1382"),
	QString("interface1383"),
	QString("interface1384"),
	QString("interface1385"),
	QString("interface1386"),
	QString("interface1387"),
	QString("interface1388"),
	QString("interface1389"),
	QString("interface1390"),
	QString("source1391"),
	QString("address1392"),
	QString("address1393"),
	QString("source1394"),
	QString("interface1395"),
	QString("driver1396"),
	QString("driver1397"),
	QString("graphics1398"),
	QString("variant1399"),
	QString("variant1400"),
	QString("choice1401"),
	QString("graphics1402"),
	QString("graphics1403"),
	QString("graphics1404"),
	QString("graphics1405"),
	QString("listen1406"),
	QString("listen1407"),
	QString("model1408"),
	QString("model1409"),
	QString("variant1410"),
	QString("variant1411"),
	QString("choice1412"),
	QString("class1413"),
	QString("class1414"),
	QString("vendor1415"),
	QString("vendor1416"),
	QString("product1417"),
	QString("product1418"),
	QString("version1419"),
	QString("version1420"),
	QString("console1421"),
	QString("variant1422"),
	QString("console1423"),
	QString("variant1424"),
	QString("variant1425"),
	QString("variant1426"),
	QString("choice1427"),
	QString("smartcard1428"),
	QString("smartcard1429"),
	QString("smartcard1430"),
	QString("backend1431"),
	QString("variant1432"),
	QString("variant1433"),
	QString("choice1434"),
	QString("hostdevsubsys1435"),
	QString("hostdevsubsys1436"),
	QString("hostdevsubsys1437"),
	QString("hostdevcaps1438"),
	QString("hostdevcaps1439"),
	QString("hostdevcaps1440"),
	QString("source1441"),
	QString("source1442"),
	QString("source1443"),
	QString("source1444"),
	QString("variant1445"),
	QString("variant1446"),
	QString("variant1447"),
	QString("variant1448"),
	QString("variant1449"),
	QString("variant1450"),
	QString("variant1451"),
	QString("variant1452"),
	QString("variant1453"),
	QString("variant1454"),
	QString("variant1455"),
	QString("variant1456"),
	QString("variant1457"),
	QString("variant1458"),
	QString("variant1459"),
	QString("variant1460"),
	QString("variant1461"),
	QString("variant1462"),
	QString("variant1463"),
	QString("variant1464"),
	QString("variant1465"),
	QString("choice1466"),
	QString("model1467"),
	QString("address1468"),
	QString("address1469"),
	QString("address1470"),
	QString("address1471"),
	QString("address1472"),
	QString("address1473"),
	QString("address1474"),
	QString("address1475"),
	QString("address1476"),
	QString("choice1477"),
	QString("backend1478"),
	QString("backend1479"),
	QString("mirror1480"),
	QString("mirror1481"),
	QString("secret1482"),
	QString("secret1483"),
	QString("variant1484"),
	QString("variant1485"),
	QString("choice1486"),
	QString("variant1487"),
	QString("variant1488"),
	QString("choice1489"),
	QString("variant1490"),
	QString("variant1491"),
	QString("variant1492"),
	QString("choice1493"),
	QString("data1494"),
	QString("ccwCssidRange1495"),
	QString("data1496"),
	QString("ccwCssidRange1497"),
	QString("data1498"),
	QString("ccwCssidRange1499"),
	QString("data1500"),
	QString("ccwDevnoRange1501"),
	QString("data1502"),
	QString("ccwDevnoRange1503"),
	QString("creationTime"),
	QString("memory1505"),
	QString("memory1506"),
	QString("disks"),
	QString("disksnapshot"),
	QString("0"),
	QString("1"),
	QString("variant1511"),
	QString("data1512"),
	QString("uint8range1513"),
	QString("data1514"),
	QString("uint8range1515"),
	QString("data1516"),
	QString("uint24range1517"),
	QString("data1518"),
	QString("uint24range1519"),
	QString("data1520"),
	QString("UUID1521"),
	QString("data1522"),
	QString("UUID1523"),
	QString("DUID1524"),
	QString("DUID1525"),
	QString("DUID1526"),
	QString("DUID1527"),
	QString("ipAddr1528"),
	QString("ipAddr1529"),
	QString("ipPrefix1530"),
	QString("ipPrefix1531"),
	QString("variant1532"),
	QString("variant1533"),
	QString("choice1534"),
	QString("adapter1535"),
	QString("adapter1536"),
	QString("storageFormat1537"),
	QString("virtualPortProfile1538"),
	QString("virtualPortProfile1539"),
	QString("virtualPortProfile1540"),
	QString("virtualPortProfile1541"),
	QString("seclabel1542"),
	QString("seclabel1543"),
	QString("seclabel1544"),
	QString("seclabel1545"),
	QString("seclabel1546"),
	QString("seclabel1547"),
	QString("os1548"),
	QString("os1549"),
	QString("os1550"),
	QString("osxen1551"),
	QString("osxen1552"),
	QString("variant1553"),
	QString("variant1554"),
	QString("variant1555"),
	QString("variant1556"),
	QString("variant1557"),
	QString("variant1558"),
	QString("variant1559"),
	QString("variant1560"),
	QString("choice1561"),
	QString("memory1562"),
	QString("memory1563"),
	QString("adjustment1564"),
	QString("clock1565"),
	QString("clock1566"),
	QString("clock1567"),
	QString("timer1568"),
	QString("timer1569"),
	QString("timer1570"),
	QString("timer1571"),
	QString("tickpolicy1572"),
	QString("tickpolicy1573"),
	QString("bootloader1574"),
	QString("disk1575"),
	QString("disk1576"),
	QString("diskBackingChain1577"),
	QString("diskBackingChain1578"),
	QString("diskSource1579"),
	QString("diskSource1580"),
	QString("diskSource1581"),
	QString("diskSource1582"),
	QString("diskSource1583"),
	QString("name1584"),
	QString("name1585"),
	QString("host1586"),
	QString("host1587"),
	QString("type1588"),
	QString("variant1589"),
	QString("variant1590"),
	QString("variant1591"),
	QString("variant1592"),
	QString("variant1593"),
	QString("choice1594"),
	QString("variant1595"),
	QString("variant1596"),
	QString("choice1597"),
	QString("filesystem1598"),
	QString("filesystem1599"),
	QString("filesystem1600"),
	QString("filesystem1601"),
	QString("filesystem1602"),
	QString("filesystem1603"),
	QString("interface1604"),
	QString("interface1605"),
	QString("interface1606"),
	QString("interface1607"),
	QString("interface1608"),
	QString("interface1609"),
	QString("interface1610"),
	QString("interface1611"),
	QString("interface1612"),
	QString("source1613"),
	QString("address1614"),
	QString("address1615"),
	QString("source1616"),
	QString("interface1617"),
	QString("driver1618"),
	QString("driver1619"),
	QString("graphics1620"),
	QString("variant1621"),
	QString("variant1622"),
	QString("choice1623"),
	QString("graphics1624"),
	QString("graphics1625"),
	QString("graphics1626"),
	QString("graphics1627"),
	QString("listen1628"),
	QString("listen1629"),
	QString("model1630"),
	QString("model1631"),
	QString("variant1632"),
	QString("variant1633"),
	QString("choice1634"),
	QString("class1635"),
	QString("class1636"),
	QString("vendor1637"),
	QString("vendor1638"),
	QString("product1639"),
	QString("product1640"),
	QString("version1641"),
	QString("version1642"),
	QString("console1643"),
	QString("variant1644"),
	QString("console1645"),
	QString("variant1646"),
	QString("variant1647"),
	QString("variant1648"),
	QString("choice1649"),
	QString("smartcard1650"),
	QString("smartcard1651"),
	QString("smartcard1652"),
	QString("backend1653"),
	QString("variant1654"),
	QString("variant1655"),
	QString("choice1656"),
	QString("hostdevsubsys1657"),
	QString("hostdevsubsys1658"),
	QString("hostdevsubsys1659"),
	QString("hostdevcaps1660"),
	QString("hostdevcaps1661"),
	QString("hostdevcaps1662"),
	QString("source1663"),
	QString("source1664"),
	QString("source1665"),
	QString("source1666"),
	QString("variant1667"),
	QString("variant1668"),
	QString("variant1669"),
	QString("variant1670"),
	QString("variant1671"),
	QString("variant1672"),
	QString("variant1673"),
	QString("variant1674"),
	QString("variant1675"),
	QString("variant1676"),
	QString("variant1677"),
	QString("variant1678"),
	QString("variant1679"),
	QString("variant1680"),
	QString("variant1681"),
	QString("variant1682"),
	QString("variant1683"),
	QString("variant1684"),
	QString("variant1685"),
	QString("variant1686"),
	QString("variant1687"),
	QString("choice1688"),
	QString("model1689"),
	QString("address1690"),
	QString("address1691"),
	QString("address1692"),
	QString("address1693"),
	QString("address1694"),
	QString("address1695"),
	QString("address1696"),
	QString("address1697"),
	QString("address1698"),
	QString("choice1699"),
	QString("backend1700"),
	QString("backend1701"),
	QString("mirror1702"),
	QString("mirror1703"),
	QString("secret1704"),
	QString("secret1705"),
	QString("variant1706"),
	QString("variant1707"),
	QString("choice1708"),
	QString("variant1709"),
	QString("variant1710"),
	QString("choice1711"),
	QString("variant1712"),
	QString("variant1713"),
	QString("variant1714"),
	QString("choice1715"),
	QString("data1716"),
	QString("ccwCssidRange1717"),
	QString("data1718"),
	QString("ccwCssidRange1719"),
	QString("data1720"),
	QString("ccwCssidRange1721"),
	QString("data1722"),
	QString("ccwDevnoRange1723"),
	QString("data1724"),
	QString("ccwDevnoRange1725"),
	QString("choice1726"),
	QString("nostate"),
	QString("running"),
	QString("blocked"),
	QString("paused"),
	QString("shutoff"),
	QString("crashed"),
	QString("disk-snapshot"),
	QString("disksnapshotdriver"),
	QString("name1735"),
	QString("name1736"),
	QString("disk1737"),
	QString("disk1738"),
	QString("variant1739"),
	QString("variant1740"),
	QString("variant1741"),
	QString("choice1742"),
	QString("disk1743"),
	QString("disk1744"),
	QString("disk1745"),
	QString("data1746"),
	QString("uint8range1747"),
	QString("data1748"),
	QString("uint8range1749"),
	QString("data1750"),
	QString("uint24range1751"),
	QString("data1752"),
	QString("uint24range1753"),
	QString("data1754"),
	QString("UUID1755"),
	QString("data1756"),
	QString("UUID1757"),
	QString("DUID1758"),
	QString("DUID1759"),
	QString("DUID1760"),
	QString("DUID1761"),
	QString("ipAddr1762"),
	QString("ipAddr1763"),
	QString("ipPrefix1764"),
	QString("ipPrefix1765"),
	QString("variant1766"),
	QString("variant1767"),
	QString("choice1768"),
	QString("adapter1769"),
	QString("adapter1770"),
	QString("hostcaps"),
	QString("guestcaps"),
	QString("cpufeatures"),
	QString("cpuspec"),
	QString("power_management"),
	QString("migration"),
	QString("secmodel"),
	QString("doi"),
	QString("nonpae"),
	QString("vmx"),
	QString("svm"),
	QString("pagesElem"),
	QString("suspend_mem"),
	QString("suspend_disk"),
	QString("suspend_hybrid"),
	QString("migration_features"),
	QString("live"),
	QString("uri_transports"),
	QString("uri_transport"),
	QString("esx"),
	QString("xenmigr"),
	QString("cells"),
	QString("num"),
	QString("distances"),
	QString("sibling"),
	QString("socket_id"),
	QString("core_id"),
	QString("siblings"),
	QString("ostype"),
	QString("os_type"),
	QString("wordsize"),
	QString("31"),
	QString("32"),
	QString("64"),
	QString("canonical"),
	QString("maxCpus"),
	QString("ia64_be"),
	QString("featuretoggle"),
	QString("cpuselection"),
	QString("deviceboot"),
	QString("toggle"),
	QString("pages"),
	QString("anonymous1813")
};

const QString& getText(quint32 index_)
{
	return g_text[index_ - 1];
}
